#-----------------------#
#-- IMPACT DB MANAGER --#
#-----------------------#

from impact_manager import ImpactDBManager

db = ImpactDBManager()
rs = db.execute("SELECT TOP 5 Id, Name, Class FROM TEntity")

print rs.num_rows(), "rows found with", rs.num_fields(), "columns"

print "\nPrint rows as dictionary:"
while not rs.EOF:
    print rs.get_row_as_dict()
    rs.next()

rs.restart_cursor()

print "\nPrint rows as list:"
while not rs.EOF:
    print rs.get_row_as_list()
    rs.next()

rs.restart_cursor()

print "\nPrint individual values:"
while not rs.EOF:
    print "ID:", rs.value('Id')
    print "Name:", rs.value(1)
    rs.next()

print "\nConnection String:"
print ImpactDBManager.get_connection_string()

print "\nAddslashes:"
nombre_loco = "comillas simples ' y dobles\"..."
print nombre_loco, ":", db.addslashes(nombre_loco)