#--------------------#
#-- MODULE MANAGER --#
#--------------------#

from impact_manager import ModuleManager

paths = ModuleManager.get_distinct_module_paths()

print "Module paths:"
for i in range(10):
    print "\t", paths[i]

print "\nModules by category:"
category = raw_input("Enter category:")

mod_list = ModuleManager.get_module_list_by_category(category)
for name in mod_list:
    print "\t", name


raw_input("\nPress enter to Install Custom Module")
ModuleManager.install_module("Run Executable")


print "Stop Running Modules:"
from impact_manager.workspace_manager import WorkspaceManager
wsp = WorkspaceManager.open_workspace(raw_input("Workspace Name: "), raw_input("Passphrase: "))
raw_input("\nPress enter to stop them")
ModuleManager.stop_running_modules(wsp)


raw_input("\nPress enter to Reload Modules")
ModuleManager.reload_modules()