#---------------#
#-- WORKSPACE --#
#---------------#

from impact_manager import WorkspaceManager

workspace = WorkspaceManager.open_or_create_workspace("test workspace", "11111111")

print "PROPERTIES"
print "----------"

print "\nWorkspace tiene el Client Company?:", workspace.has_property('CLIENT_COMPANY')

if workspace.has_property('CLIENT_COMPANY'):
    print "El valor es:", workspace.get_property('CLIENT_COMPANY')

else:
    print "Seteando la propiedad al workspace:"
    value = raw_input("Ingresa el client company:")
    workspace.set_property('CLIENT_COMPANY', value)
    print "El valor es:", workspace.get_property('CLIENT_COMPANY')

print "Workspace properties are:"

for k, v in workspace.get_properties_as_dict().items():
    print "\t" + k + ":", v

print "\n"
print "TASKS"
print "-----"

raw_input("Hit Enter to show the tasks list")

tasks = workspace.get_tasks_list()

for t in tasks:
    print "id:", t[0], "- Mod:", t[1], "- start:", t[2], "- end:", t[3], "- status:", t[4]

t_id= int(raw_input("\nInput a task id to get its log and parameters:"))

print "\nLOG:\n"
print workspace.get_task_log(t_id)

print "\nPARAMETERS:\n"
params = workspace.get_task_parameters(t_id)
for p in params:
    print p[0], ":", p[1]
