#---------------------#
#-- MODULE - PART C --#
#---------------------#

from impact_manager import Module
from impact_manager import WorkspaceManager

#abrimos o creamos un workspace
wsp = WorkspaceManager.open_or_create_workspace("test workspace", "11111111")

#instanciamos un modulo
mod = Module(wsp, "Network Discovery - Fast TCP")
mod.add_parameter("TARGETRANGE", "192.168.108.0/22")

#Esta clase va a contar hosts
class Counter:
    def __init__(self):
        self.counter = 0

#vamos a suscribir esta funcion a eventos de entidades creadas
def contador_de_hosts(el_modulo, contador, data):
    if data['ENTITY_CLASS'] == 'host':
        contador.counter +=1
        print "counter:", contador.counter
    if contador.counter == 10:
        el_modulo.stop()

contador = Counter()

mod.subscribe_to_entity_events([Module.EVENT_ENTITY_CREATED], contador_de_hosts, mod, contador)

raw_input("Enter para empezar a correr...")

mod.sync_run(180)

entidades = mod.get_commited_entities()

for entidad in entidades:
    print entidad.get_name() + " (" + entidad.get_class() + ")"