#------------------------------#
#-- IMPACT WORKSPACE MANAGER --#
#------------------------------#

from impact_manager import WorkspaceManager

#Borrar todos los workspaces no internal
ws_list = WorkspaceManager.list_workspaces(internal=False, from_scheduler=False)

for w in ws_list:
    WorkspaceManager.delete_workspace(w)

workspace1 = WorkspaceManager.create_workspace("Tremendo Workspace", "88888888")

workspace2 = WorkspaceManager.open_or_create_workspace("Tremendo 2", "77777777")

try:
    workspace3 = WorkspaceManager.open_workspace("Este No Existe", "11111111")
except:
    print "\nWorkspace 'Este No Existe', no existe..."


internals = WorkspaceManager.list_workspaces(True, None)
no_internals = WorkspaceManager.list_workspaces(False, None)

print "\nInternal Workspaces:"
for w in internals:
    print "\t", w


print "\nNo Internal Workspaces:"
for w in no_internals:
    print "\t", w