#--------------------#
#-- ENTITY MANAGER --#
#--------------------#

from impact_manager import WorkspaceManager
from impact_manager import EntityManager

wsp = WorkspaceManager.open_or_create_workspace("test workspace", "11111111")

emgr = EntityManager(wsp)

print "Entities List:"
lista = emgr.list_entities()
for item in lista:
    print item

print "\nHosts List:"
print emgr.list_hosts()

print "\nBy Class List:"
class_name = raw_input("Input Class: ")
print emgr.list_entities_by_class(class_name)


print "\nEntity Events Callbacks:"


def mi_funcion(para1, para2, data):
    print "parametro1", para1
    print "parametro2", para2
    for k, v in data.items():
        print "\t", k, ":", v

emgr.subscribe_to_entity_events([emgr.EVENT_ENTITY_CREATED, emgr.EVENT_ENTITY_DELETED, emgr.EVENT_ENTITY_UPDATED], mi_funcion, "loco", "mono")

import time

while True:
    time.sleep(5)