#---------------------#
#-- MODULE - PART A --#
#---------------------#

import time

from impact_manager import Module
from impact_manager import WorkspaceManager

#abrimos o creamos un workspace
wsp = WorkspaceManager.open_or_create_workspace("test workspace", "11111111")

#instanciamos un modulo
mod = Module(wsp, "Get OS Version", 'localagent')

print "\nTask id antes de correr:", mod.get_task_id()
print "\nCategory:", mod.get_category()
print "\nXML Data:", mod.get_xml_data()[:60] + "..."
print "\nIn File: ...", mod.get_module_path()[-60:]
print "\nA XML Ppty:", mod.get_xml_property('version')

#corremos el modulo

raw_input("\n\nEnter para correr de forma asincrona...")

mod.run()

for x in range(4):
    print "status:", mod.get_status()
    time.sleep(1)

print "\nLog:"
print mod.get_log() #default parameters tail_lines=0, detail='high'

print "n\Output:"
print mod.get_xml_output()