#------------#
#-- ENTITY --#
#------------#

from impact_manager import WorkspaceManager
from impact_manager import EntityManager
from impact_manager import Entity

#abrimos o creamos un workspace
wsp = WorkspaceManager.open_or_create_workspace("test workspace", "11111111")

#instanciamos un entity manager para ese workspace
emgr = EntityManager(wsp)
lista = emgr.list_entities()
name = lista[0]

print "Vamos a instanciar la entidad", name

entidad = emgr.get_entity(name)

print "Name:", entidad.get_name()
print "Id:", entidad.get_id()
print "Class:", entidad.get_class()
print "Type:", entidad.get_type()
print "XML:", entidad.get_xml()[:60], "..."
print "XML Prop: Arch", entidad.get_xml_property("arch")
print "XML Porp: OS", entidad.get_xml_property("os")

def funcion_loca(data):
    if data['EVENT_TYPE'] == Entity.EVENT_ENTITY_UPDATED:
        print "Entidad Actualizada"
    elif data['EVENT_TYPE'] == Entity.EVENT_ENTITY_DELETED:
        print "Entidad Borrada"

print "\nEntidad escuchando eventos....\n"

entidad.subscribe_to_entity_events([Entity.EVENT_ENTITY_UPDATED, Entity.EVENT_ENTITY_DELETED], funcion_loca)

import time
while True:
    time.sleep(10)