#-------------------#
#-- AGENT(ENTITY) --#
#-------------------#

from impact_manager import WorkspaceManager
from impact_manager import EntityManager

#abrimos o creamos un workspace
wsp = WorkspaceManager.open_or_create_workspace("test workspace", "11111111")

#instanciamos un entity manager para ese workspace
emgr = EntityManager(wsp)

agent_name = raw_input("Nombre de la entidad:")


agente = emgr.get_agent(agent_name)

print "Tiene PCAP?:", agente.is_pcap_installed()
print "Instalando PCAP..."
agente.install_pcap()
print "Tiene PCAP?:", agente.is_pcap_installed()
print "Sacando PCAP..."
agente.remove_pcap()
print "Tiene PCAP?:", agente.is_pcap_installed()

print "\nGenerando un agente persistente..."
segundo_agente = agente.make_persistent()
print agente.get_name(), "is persistent?:", agente.is_persistent()
print segundo_agente.get_name(), "is persistent?:", segundo_agente.is_persistent()

print "\nSeteando el reconnection policy al nuevo agente"
segundo_agente.set_reconnection_policy() #valores por default

print "\nQue el nuevo agente corra un modulo"
from impact_manager import Module
mod = Module(wsp, "Get Network Routes")

raw_input("Enter para empezar a correr...")
segundo_agente.run_module_sync(mod)
print mod.get_xml_output()

raw_input("\nEnter para desinstalar el primer agente")
agente.uninstall()

raw_input("\nEnter para desconectar el segundo agente")
segundo_agente.disconnect()

raw_input("\nEnter para reconectar el segundo agente")
segundo_agente.connect()

raw_input("\nEnter para spawnear un shell")
segundo_agente.spawn_shell()